Subject: Re: bug#21556: 25.0.50; Memory leak in emacs -Q with lucid (font)

From: Dmitry Antipov <[email-masked]>
Date: Fri, 2 Oct 2015 08:04:44 +0300

On 10/01/2015 09:50 PM, Dima Kogan wrote:

> OK, so are you suggesting changing how mark_face_cache() works? How bad
> is it to accept that fonts and font entities are not necessarily linked,
> and to install the latest patch in this bug?

I'm suggesting to check whether there are unmarked font objects after marking
from Vfontset_table, and, if so, understand whether it's correct. Otherwise
your patch, even being correct by itself, may just hide subtle GC bug.

Dmitry